

  
CreateConVar( "GryMod", 1, false, false )
  
 

 function Init_Suitmode(ply)
ply:SetNWBool("Strenght",false)
ply:SetNWBool("Armor",true)
ply:SetNWBool("Speed",false)
ply:SetNWBool("Cloak",false)
 end
hook.Add( "PlayerSpawn", "problemson", Init_Suitmode )

function strenght(ply)
	if GetConVar("GryMod"):GetInt() == 1 then
		ply:SetWalkSpeed(150)
		ply:SetRunSpeed(300)
		ply:SetJumpPower(500)
		ply:DrawViewModel(true)
		ply:DrawWorldModel(true)
		ply:SetMaterial("")
		ply:DrawShadow(true)
		ply:SetMaterial("")
		ply:EmitSound("suit/strength.mp3", 100, 100)
		ply:SetArmor(0)
		ply:SetNoTarget(false)
		ply:SetNWBool("Strenght",true)
		ply:SetNWBool("Armor",false)
		ply:SetNWBool("Speed",false)
		ply:SetNWBool("Cloak",false)
	end




end

concommand.Add("Strenght", strenght)



function speed(ply)
		if GetConVar("GryMod"):GetInt() == 1 then
	ply:SetNWBool("Strenght",false)
	ply:SetNWBool("Armor",false)
	ply:SetNWBool("Speed",true)
	ply:SetNWBool("Cloak",false)
	ply:SetWalkSpeed(300)
	ply:SetRunSpeed(600)
	ply:SetJumpPower(200)
	ply:EmitSound("suit/speed.mp3", 100, 100)
	ply:DrawViewModel(true)
	ply:DrawWorldModel(true)
	ply:SetMaterial("")
	ply:DrawShadow(true)
	ply:SetMaterial("")
	ply:SetNoTarget(false)
    ply:SetArmor(0)
	end
end
concommand.Add("Speed", speed)

function cloak(ply)
	if GetConVar("GryMod"):GetInt() == 1 then
ply:SetMaterial("cloak/organic")
ply:SetWalkSpeed(150)
ply:SetRunSpeed(300)
ply:DrawShadow(false)
ply:EmitSound("suit/cloak.mp3", 100, 100)
ply:EmitSound("suit/CloakMode.wav", 100, 100)
ply:DrawWorldModel(false)
ply:SetNoTarget(true)
ply:SetJumpPower(200)
ply:SetNWBool("Strenght",false)
ply:SetNWBool("Armor",false)
ply:SetNWBool("Speed",false)
ply:SetNWBool("Cloak",true)
ply:SetArmor(0)
end
end
concommand.Add("Cloak", cloak)
 


 
 
function armor(ply)
	if GetConVar("GryMod"):GetInt() == 1 then
ply:SetWalkSpeed(150)
ply:SetRunSpeed(300)
ply:SetJumpPower(200)
	ply:EmitSound("suit/armor.mp3", 100, 100)
	ply:EmitSound("suit/ArmorMode.wav", 100, 100)
	ply:DrawViewModel(true)
	ply:DrawWorldModel(true)
	ply:SetMaterial("")
	ply:DrawShadow(true)
	ply:SetMaterial("")
	ply:SetNoTarget(false)
ply:SetNWBool("Strenght",false)
ply:SetNWBool("Armor",true)
ply:SetNWBool("Speed",false)
ply:SetNWBool("Cloak",false)
end
end
concommand.Add("Armor", armor)
 local function Drop(ply)
		ply:DropWeapon(ply:GetActiveWeapon()) --Drop active weapon
end
concommand.Add("Drop", Drop)





 
